* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
}

body {
    font-size: 1.6rem;
    font-family: "Poppins", sans-serif;
}

/* common */
a:hover{
    text-decoration: none;
}

.line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;  
  overflow: hidden;
}

.line-clamp-1 {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;  
    overflow: hidden;
  }
/* Navbar */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar .logo-img {
    width: 100px;
    border-radius: 10px;
}
.navbar-collapse i {
    font-size: 1.8rem;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    color: black;
}
.navbar-collapse {
    display: flex;
    justify-content: flex-end;
}
.navbar-collapse.show {
    justify-content: center;
    align-items: center;
}
.navbar .nav-item {
    margin: auto;
} 
.navbar .navbar-toggler {
    background-color: black;
}
.navbar #icon-cart {
    position: relative;
}
.navbar #icon-cart span {
    position: absolute;
    bottom: -3px;
    right: -5px;
}
.navbar #icon-user {
    position: relative;
}
.navbar .user-info {
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 40px;
    left: -75px;
    width: 140px;
    background: #fff;
    border-radius: 8px;
    border: 1px solid black;
    padding: 15px;
}
.navbar .user-info i {
    display: inline-block;
}
.navbar .user-info a {
    display:block;
    font-size: 1.6rem;
    color: black;
    margin-bottom: 15px;
}
.navbar .user-info .btn-signout{
    padding: 5px 10px;
    color: white;
    background: black;
    border-radius: 5px;
}
.navbar #icon-search {
    position: relative;
}
.navbar #icon-search i{
    position: absolute;
    top: 5px;
    right: 5px;
    cursor: pointer;
}
.navbar .search-bar input {
    padding: 5px 10px;
    border-radius: 999px;
}
/* Path */
.path a {
    color: black;
}
/* Profile */
.profile .jumbotron{
    background-image: linear-gradient(75deg, #FFDEE9, #B5FFFC);
}
.profile .user-header{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.profile .user-header input[type = "password"]{
    margin-top: 10px;
    padding: 6px 10px;
    border: none;
    border-radius: 999px;
}
.profile .user-header button{
    font-size: 1.8rem;
    margin-top: 10px;
    background: black;
    color: #fff;
    padding: 5px 10px;
    border-radius: 5px;
}
.profile .user-header .user-img{
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 999px;
    outline: 4px solid #383636;
    outline-offset: 10px;
    border: 2px solid #383636;
}

.profile .email {
    margin-top: 30px;
    font-size: 2rem;
    color: #383636;
}
.profile .phone {
    margin-top: 20px;
    font-size: 1.8rem;
    color: #383636 ;
}
.profile .user-body{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}
.profile .user-body h2 {
    text-align: center;
    font-size: 2.6rem;
    line-height: 1.5;
    color: #383636;
    letter-spacing: 5px;
}
.profile .user-infor-block {
    width: 100%;
}
.profile .user-infor-block .row {
    margin-top: 20px;
    display: flex;
    justify-content:center;
    align-items: center;
    gap: 30px;
    position: relative;
}
.profile .user-infor-block label {
    width: 30%;
    font-size: 1.6rem;
    color: #383636    ;
    padding: 5px;
    border-radius: 999px;
}
.profile .user-infor-block input {
    font-size: 1.4rem;
    width: 50%;
    padding: 10px 25px;
    border-radius: 10px;
    border: none;
    outline: 1.5px solid #ccc;
    outline-offset: 3px;
}
.profile .btn-save-user {

    font-size: 2rem;
    color: #ccc;
    background-color: black;
    border-radius: 5px;
    padding: 10px 15px;
    border: 2px solid white;

}
.profile input[type="file"] {
    display: none;
  }
.profile .custom-file-upload {
    margin-top: 10px;
    display: inline-block;
    padding: 5px 10px;
    font-size: 1.8rem;
    text-align: center;
    color: #fff;
    background-color: black;
    border-radius: 3px;
    border: none;
    cursor: pointer;
}
.profile .custom-file-upload:hover {
background-color: rgba(0, 0, 0, 0.616);
color: black;
}

/* Notification Modal */
.modal-custom {
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; 
    height: 100vh; 
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-custom i {
    color: green;
}
.modal-custom .modal-content {
    position: relative;
    top: 45%;
    left: calc(50% - 160px);
    background-color: #fefefe;
    padding: 30px 20px;
    border: 1px solid #888;
    width: 320px; 
}

.modal-custom .close {
    position: absolute;
    right: 8px;
    top: 8px;
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
}

.modal-custom .close:hover,
.modal-custom .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
/* Store */
.stores {
    margin-top: 65px;
}
.stores .title {
    font-size: 3rem;
}

.stores .store-list {
    margin-top: 20px;
}
.stores .store-item {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
}
.store-list .store-title {
    width: 100%;
    font-size: 1.6rem;
    background: #dc3545;
    padding: 5px 10px;
    color: white;
    border-radius: 5px;
}
.store-list .address {
    color: rgb(139, 103, 56);
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
    line-height: 1.3;
}
.store-list .phone {
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
}
/* footer */
.footer {
    margin-top: 100px;
    padding-top: 100px;
    padding-bottom: 50px;
    background: #ccc;
}

.footer .footer-list {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer .footer-social{
margin-top: 120px;
}
.footer .footer-list .title {
    font-size: 2rem;
    font-weight: 600;
}

.footer .footer-list .desc {
    margin-top: 20px;
    font-size: 1.8rem;
    color: rgba(0, 0, 0, 0.658);
}
.footer .footer-social img{
    width: 150px;
    border-radius: 10px;
    object-fit: cover;
}

.footer .footer-social {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

.footer .social-block {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}
.footer .social-block a {
    font-size: 3rem;
    color: rgba(0, 0, 0, 0.8);
}

/* responsive */

@media only screen and (max-width: 992px) {

}
@media only screen and (max-width: 768px) {

}
@media only screen and (max-width: 567px) {
    /* Navbar */
    .navbar #icon-cart span{
        bottom: 13px ;   
        right: -20px ;   
    }
}